-- ************************************************************
-- Basic Inserters
-- ************************************************************

basic_near=util.table.deepcopy(data.raw["inserter"]["inserter"])
basic_near.name = "basic-inserter-near"
basic_near.icon = "__Inserter Migration__/graphics/icons/basic-inserter-near.png"
basic_near.insert_position = {0, NEAR_INSERT_POSITION}
basic_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/basic-inserter-hand-closed-near.png"
basic_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/basic-inserter-hand-open-near.png"

basic_left=util.table.deepcopy(data.raw["inserter"]["inserter"])
basic_left.name = "basic-inserter-left"
basic_left.icon = "__Inserter Migration__/graphics/icons/basic-inserter-left.png"
basic_left.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
basic_left.insert_position = {INSERT_POSITION, 0}
basic_left.rotation_speed = basic_left.rotation_speed * SIDE_SPEED_FACTOR

basic_right=util.table.deepcopy(data.raw["inserter"]["inserter"])
basic_right.name = "basic-inserter-right"
basic_right.icon = "__Inserter Migration__/graphics/icons/basic-inserter-right.png"
basic_right.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
basic_right.insert_position = {0-INSERT_POSITION, 0}
basic_right.rotation_speed = basic_right.rotation_speed * SIDE_SPEED_FACTOR

-- ************************************************************
-- Burner Inserters
-- ************************************************************

burner_near=util.table.deepcopy(data.raw["inserter"]["burner-inserter"])
burner_near.name = "burner-inserter-near"
burner_near.icon = "__Inserter Migration__/graphics/icons/burner-inserter-near.png"
burner_near.insert_position = {0, NEAR_INSERT_POSITION}
burner_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/burner-inserter-hand-closed-near.png"
burner_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/burner-inserter-hand-open-near.png"

burner_left=util.table.deepcopy(data.raw["inserter"]["burner-inserter"])
burner_left.name = "burner-inserter-left"
burner_left.icon = "__Inserter Migration__/graphics/icons/burner-inserter-left.png"
burner_left.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
burner_left.insert_position = {INSERT_POSITION, 0}
burner_left.rotation_speed = burner_left.rotation_speed * SIDE_SPEED_FACTOR

burner_right=util.table.deepcopy(data.raw["inserter"]["burner-inserter"])
burner_right.name = "burner-inserter-right"
burner_right.icon = "__Inserter Migration__/graphics/icons/burner-inserter-right.png"
burner_right.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
burner_right.insert_position = {0-INSERT_POSITION, 0}
burner_right.rotation_speed = burner_right.rotation_speed * SIDE_SPEED_FACTOR

-- ************************************************************
-- Fast Inserters
-- ************************************************************

fast_near=util.table.deepcopy(data.raw["inserter"]["fast-inserter"])
fast_near.name = "fast-inserter-near"
fast_near.icon = "__Inserter Migration__/graphics/icons/fast-inserter-near.png"
fast_near.insert_position = {0, NEAR_INSERT_POSITION}
fast_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/fast-inserter-hand-closed-near.png"
fast_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/fast-inserter-hand-open-near.png"

fast_left=util.table.deepcopy(data.raw["inserter"]["fast-inserter"])
fast_left.name = "fast-inserter-left"
fast_left.icon = "__Inserter Migration__/graphics/icons/fast-inserter-left.png"
fast_left.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
fast_left.insert_position = {INSERT_POSITION, 0}
fast_left.rotation_speed = fast_left.rotation_speed * SIDE_SPEED_FACTOR

fast_right=util.table.deepcopy(data.raw["inserter"]["fast-inserter"])
fast_right.name = "fast-inserter-right"
fast_right.icon = "__Inserter Migration__/graphics/icons/fast-inserter-right.png"
fast_right.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
fast_right.insert_position = {0-INSERT_POSITION, 0}
fast_right.rotation_speed = fast_right.rotation_speed * SIDE_SPEED_FACTOR

-- ************************************************************
-- Long-Handed Inserters
-- ************************************************************

long_handed_near=util.table.deepcopy(data.raw["inserter"]["long-handed-inserter"])
long_handed_near.name = "long-handed-inserter-near"
long_handed_near.icon = "__Inserter Migration__/graphics/icons/long-handed-inserter-near.png"
long_handed_near.insert_position = {0, LONG_NEAR_INSERT_POSITION}
long_handed_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/long-handed-inserter-hand-closed-near.png"
long_handed_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/long-handed-inserter-hand-open-near.png"

long_handed_left=util.table.deepcopy(data.raw["inserter"]["long-handed-inserter"])
long_handed_left.name = "long-handed-inserter-left"
long_handed_left.icon = "__Inserter Migration__/graphics/icons/long-handed-inserter-left.png"
long_handed_left.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
long_handed_left.insert_position = {LONG_INSERT_POSITION, 0}
long_handed_left.rotation_speed = long_handed_left.rotation_speed * SIDE_SPEED_FACTOR

long_handed_right=util.table.deepcopy(data.raw["inserter"]["long-handed-inserter"])
long_handed_right.name = "long-handed-inserter-right"
long_handed_right.icon = "__Inserter Migration__/graphics/icons/long-handed-inserter-right.png"
long_handed_right.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
long_handed_right.insert_position = {0-LONG_INSERT_POSITION, 0}
long_handed_right.rotation_speed = long_handed_right.rotation_speed * SIDE_SPEED_FACTOR

-- ************************************************************
-- Smart Inserters
-- ************************************************************

smart_near=util.table.deepcopy(data.raw["inserter"]["filter-inserter"])
smart_near.name = "smart-inserter-near"
smart_near.icon = "__Inserter Migration__/graphics/icons/smart-inserter-near.png"
smart_near.insert_position = {0, NEAR_INSERT_POSITION}
smart_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/smart-inserter-hand-closed-near.png"
smart_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/smart-inserter-hand-open-near.png"

smart_left=util.table.deepcopy(data.raw["inserter"]["filter-inserter"])
smart_left.name = "smart-inserter-left"
smart_left.icon = "__Inserter Migration__/graphics/icons/smart-inserter-left.png"
smart_left.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
smart_left.insert_position = {INSERT_POSITION, 0}
smart_left.rotation_speed = smart_left.rotation_speed * SIDE_SPEED_FACTOR

smart_right=util.table.deepcopy(data.raw["inserter"]["filter-inserter"])
smart_right.name = "smart-inserter-right"
smart_right.icon = "__Inserter Migration__/graphics/icons/smart-inserter-right.png"
smart_right.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
smart_right.insert_position = {0-INSERT_POSITION, 0}
smart_right.rotation_speed = smart_right.rotation_speed * SIDE_SPEED_FACTOR

data:extend(
{
  basic_left,
  basic_right,
  burner_left,
  burner_right,
  fast_left,
  fast_right,
  long_handed_left,
  long_handed_right,
  smart_left,
  smart_right
})

basic_left_near=util.table.deepcopy(data.raw["inserter"]["basic-inserter-left"])
basic_left_near.name = "basic-inserter-left-near"
basic_left_near.icon = "__Inserter Migration__/graphics/icons/basic-inserter-left-near.png"
basic_left_near.insert_position = {NEAR_INSERT_POSITION, 0}
basic_left_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/basic-inserter-hand-closed-near.png"
basic_left_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/basic-inserter-hand-open-near.png"

basic_right_near=util.table.deepcopy(data.raw["inserter"]["basic-inserter-right"])
basic_right_near.name = "basic-inserter-right-near"
basic_right_near.icon = "__Inserter Migration__/graphics/icons/basic-inserter-right-near.png"
basic_right_near.insert_position = {0-NEAR_INSERT_POSITION, 0}
basic_right_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/basic-inserter-hand-closed-near.png"
basic_right_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/basic-inserter-hand-open-near.png"

burner_left_near=util.table.deepcopy(data.raw["inserter"]["burner-inserter-left"])
burner_left_near.name = "burner-inserter-left-near"
burner_left_near.icon = "__Inserter Migration__/graphics/icons/burner-inserter-left-near.png"
burner_left_near.insert_position = {NEAR_INSERT_POSITION, 0}
burner_left_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/burner-inserter-hand-closed-near.png"
burner_left_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/burner-inserter-hand-open-near.png"

burner_right_near=util.table.deepcopy(data.raw["inserter"]["burner-inserter-right"])
burner_right_near.name = "burner-inserter-right-near"
burner_right_near.icon = "__Inserter Migration__/graphics/icons/burner-inserter-right-near.png"
burner_right_near.insert_position = {0-NEAR_INSERT_POSITION, 0}
burner_right_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/burner-inserter-hand-closed-near.png"
burner_right_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/burner-inserter-hand-open-near.png"

fast_left_near=util.table.deepcopy(data.raw["inserter"]["fast-inserter-left"])
fast_left_near.name = "fast-inserter-left-near"
fast_left_near.icon = "__Inserter Migration__/graphics/icons/fast-inserter-left-near.png"
fast_left_near.insert_position = {NEAR_INSERT_POSITION, 0}
fast_left_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/fast-inserter-hand-closed-near.png"
fast_left_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/fast-inserter-hand-open-near.png"

fast_right_near=util.table.deepcopy(data.raw["inserter"]["fast-inserter-right"])
fast_right_near.name = "fast-inserter-right-near"
fast_right_near.icon = "__Inserter Migration__/graphics/icons/fast-inserter-right-near.png"
fast_right_near.insert_position = {0-NEAR_INSERT_POSITION, 0}
fast_right_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/fast-inserter-hand-closed-near.png"
fast_right_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/fast-inserter-hand-open-near.png"

long_handed_left_near=util.table.deepcopy(data.raw["inserter"]["long-handed-inserter-left"])
long_handed_left_near.name = "long-handed-inserter-left-near"
long_handed_left_near.icon = "__Inserter Migration__/graphics/icons/long-handed-inserter-left-near.png"
long_handed_left_near.insert_position = {LONG_NEAR_INSERT_POSITION, 0}
long_handed_left_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/long-handed-inserter-hand-closed-near.png"
long_handed_left_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/long-handed-inserter-hand-open-near.png"

long_handed_right_near=util.table.deepcopy(data.raw["inserter"]["long-handed-inserter-right"])
long_handed_right_near.name = "long-handed-inserter-right-near"
long_handed_right_near.icon = "__Inserter Migration__/graphics/icons/long-handed-inserter-right-near.png"
long_handed_right_near.insert_position = {0-LONG_NEAR_INSERT_POSITION, 0}
long_handed_right_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/long-handed-inserter-hand-closed-near.png"
long_handed_right_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/long-handed-inserter-hand-open-near.png"

smart_left_near=util.table.deepcopy(data.raw["inserter"]["smart-inserter-left"])
smart_left_near.name = "smart-inserter-left-near"
smart_left_near.icon = "__Inserter Migration__/graphics/icons/smart-inserter-left-near.png"
smart_left_near.insert_position = {NEAR_INSERT_POSITION, 0}
smart_left_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/smart-inserter-hand-closed-near.png"
smart_left_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/smart-inserter-hand-open-near.png"

smart_right_near=util.table.deepcopy(data.raw["inserter"]["smart-inserter-right"])
smart_right_near.name = "smart-inserter-right-near"
smart_right_near.icon = "__Inserter Migration__/graphics/icons/smart-inserter-right-near.png"
smart_right_near.insert_position = {0-NEAR_INSERT_POSITION, 0}
smart_right_near.hand_closed_picture.filename = "__Inserter Migration__/graphics/entity/smart-inserter-hand-closed-near.png"
smart_right_near.hand_open_picture.filename = "__Inserter Migration__/graphics/entity/smart-inserter-hand-open-near.png"

data:extend(
{
  basic_near,
  burner_near,
  fast_near,
  long_handed_near,
  smart_near
})

data:extend(
{
  basic_left_near,
  basic_right_near,
  burner_left_near,
  burner_right_near,
  fast_left_near,
  fast_right_near,
  long_handed_left_near,
  long_handed_right_near,
  smart_left_near,
  smart_right_near
})