data:extend(
{
  {
    type = "item",
    name = "basic-inserter-left",
    icon = "__Inserter Migration__/graphics/icons/basic-inserter-left.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "b[basic-inserter]a",
    place_result = "basic-inserter-left",
    stack_size = 50
  },
  {
    type = "item",
    name = "basic-inserter-right",
    icon = "__Inserter Migration__/graphics/icons/basic-inserter-right.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "b[basic-inserter]b",
    place_result = "basic-inserter-right",
    stack_size = 50
  },
  {
    type = "item",
    name = "burner-inserter-left",
    icon = "__Inserter Migration__/graphics/icons/burner-inserter-left.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "a[burner-inserter]a",
    place_result = "burner-inserter-left",
    stack_size = 50
  },
  {
    type = "item",
    name = "burner-inserter-right",
    icon = "__Inserter Migration__/graphics/icons/burner-inserter-right.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "a[burner-inserter]b",
    place_result = "burner-inserter-right",
    stack_size = 50
  },
  {
    type = "item",
    name = "fast-inserter-left",
    icon = "__Inserter Migration__/graphics/icons/fast-inserter-left.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "d[fast-inserter]a",
    place_result = "fast-inserter-left",
    stack_size = 50
  },
  {
    type = "item",
    name = "fast-inserter-right",
    icon = "__Inserter Migration__/graphics/icons/fast-inserter-right.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "d[fast-inserter]b",
    place_result = "fast-inserter-right",
    stack_size = 50
  },
  {
    type = "item",
    name = "long-handed-inserter-left",
    icon = "__Inserter Migration__/graphics/icons/long-handed-inserter-left.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "c[long-handed-inserter]a",
    place_result = "long-handed-inserter-left",
    stack_size = 50
  },
  {
    type = "item",
    name = "long-handed-inserter-right",
    icon = "__Inserter Migration__/graphics/icons/long-handed-inserter-right.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "c[long-handed-inserter]b",
    place_result = "long-handed-inserter-right",
    stack_size = 50
  },
  {
    type = "item",
    name = "smart-inserter-left",
    icon = "__Inserter Migration__/graphics/icons/smart-inserter-left.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "f[inserter]-e[smart-inserter]a",
    place_result = "smart-inserter-left",
    stack_size = 50
  },
  {
    type = "item",
    name = "smart-inserter-right",
    icon = "__Inserter Migration__/graphics/icons/smart-inserter-right.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "f[inserter]-e[smart-inserter]b",
    place_result = "smart-inserter-right",
    stack_size = 50
  }
})

data:extend(
{
  -- ************************************************************
  -- Basic Inserters
  -- ************************************************************
  {
    type = "item",
    name = "basic-inserter-near",
    icon = "__Inserter Migration__/graphics/icons/basic-inserter-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "b[basic-inserter]c",
    place_result = "basic-inserter-near",
    stack_size = 50
  },
  
  -- ************************************************************
  -- Burner Inserters
  -- ************************************************************
  {
    type = "item",
    name = "burner-inserter-near",
    icon = "__Inserter Migration__/graphics/icons/burner-inserter-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "a[burner-inserter]c",
    place_result = "burner-inserter-near",
    stack_size = 50
  },
  
  -- ************************************************************
  -- Fast Inserters
  -- ************************************************************
  {
    type = "item",
    name = "fast-inserter-near",
    icon = "__Inserter Migration__/graphics/icons/fast-inserter-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "d[fast-inserter]c",
    place_result = "fast-inserter-near",
    stack_size = 50
  },
  
  -- ************************************************************
  -- Long-Handed Inserters
  -- ************************************************************
  {
    type = "item",
    name = "long-handed-inserter-near",
    icon = "__Inserter Migration__/graphics/icons/long-handed-inserter-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "c[long-handed-inserter]c",
    place_result = "long-handed-inserter-near",
    stack_size = 50
  },
  
  -- ************************************************************
  -- Smart Inserters
  -- ************************************************************
  {
    type = "item",
    name = "smart-inserter-near",
    icon = "__Inserter Migration__/graphics/icons/smart-inserter-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "f[inserter]-e[smart-inserter]c",
    place_result = "smart-inserter-near",
    stack_size = 50
  }
})

data:extend(
{
  -- ************************************************************
  -- Basic Inserters
  -- ************************************************************
  {
    type = "item",
    name = "basic-inserter-left-near",
    icon = "__Inserter Migration__/graphics/icons/basic-inserter-left-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "b[basic-inserter]d",
    place_result = "basic-inserter-left-near",
    stack_size = 50
  },
  {
    type = "item",
    name = "basic-inserter-right-near",
    icon = "__Inserter Migration__/graphics/icons/basic-inserter-right-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "b[basic-inserter]e",
    place_result = "basic-inserter-right-near",
    stack_size = 50
  },
  
  -- ************************************************************
  -- Burner Inserters
  -- ************************************************************
  {
    type = "item",
    name = "burner-inserter-left-near",
    icon = "__Inserter Migration__/graphics/icons/burner-inserter-left-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "a[burner-inserter]d",
    place_result = "burner-inserter-left-near",
    stack_size = 50
  },
  {
    type = "item",
    name = "burner-inserter-right-near",
    icon = "__Inserter Migration__/graphics/icons/burner-inserter-right-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "a[burner-inserter]e",
    place_result = "burner-inserter-right-near",
    stack_size = 50
  },
  
  -- ************************************************************
  -- Fast Inserters
  -- ************************************************************
  {
    type = "item",
    name = "fast-inserter-left-near",
    icon = "__Inserter Migration__/graphics/icons/fast-inserter-left-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "d[fast-inserter]d",
    place_result = "fast-inserter-left-near",
    stack_size = 50
  },
  {
    type = "item",
    name = "fast-inserter-right-near",
    icon = "__Inserter Migration__/graphics/icons/fast-inserter-right-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "d[fast-inserter]e",
    place_result = "fast-inserter-right-near",
    stack_size = 50
  },
  
  -- ************************************************************
  -- Long-Handed Inserters
  -- ************************************************************
  {
    type = "item",
    name = "long-handed-inserter-left-near",
    icon = "__Inserter Migration__/graphics/icons/long-handed-inserter-left-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "c[long-handed-inserter]d",
    place_result = "long-handed-inserter-left-near",
    stack_size = 50
  },
  {
    type = "item",
    name = "long-handed-inserter-right-near",
    icon = "__Inserter Migration__/graphics/icons/long-handed-inserter-right-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "c[long-handed-inserter]e",
    place_result = "long-handed-inserter-right-near",
    stack_size = 50
  },
  
  -- ************************************************************
  -- Smart Inserters
  -- ************************************************************
  {
    type = "item",
    name = "smart-inserter-left-near",
    icon = "__Inserter Migration__/graphics/icons/smart-inserter-left-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "f[inserter]-e[smart-inserter]d",
    place_result = "smart-inserter-left-near",
    stack_size = 50
  },
  {
    type = "item",
    name = "smart-inserter-right-near",
    icon = "__Inserter Migration__/graphics/icons/smart-inserter-right-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "f[inserter]-e[smart-inserter]e",
    place_result = "smart-inserter-right-near",
    stack_size = 50
  }
})